%?mingw_package_header

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		mingw-json-glib
Version:	1.0.2
Release:	3%{?dist}
Summary:	MinGW library for JavaScript Object Notation format

Group:          Development/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/JsonGlib
#VCS:		git:git://git.gnome.org/json-glib
Source0:	http://download.gnome.org/sources/%{release_version}/1.0/json-glib-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 98
BuildRequires:  mingw64-filesystem >= 98
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-glib2 >= 2.37.6
BuildRequires:  mingw64-glib2 >= 2.37.6


%description
json-glib is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n mingw32-json-glib
Summary:	Development files for json-glib
Group:		Development/Libraries

%description  -n mingw32-json-glib
MinGW Windows json-glib library.

%package -n mingw64-json-glib
Summary:	Development files for json-glib
Group:		Development/Libraries

%description  -n mingw64-json-glib
MinGW Windows json-glib library.


%?mingw_debug_package


%prep
%setup -q -n json-glib-%{version}


%build
%mingw_configure
%mingw_make %{?_smp_mflags} V=1


%install
%mingw_make install DESTDIR=$RPM_BUILD_ROOT

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete
find $RPM_BUILD_ROOT -name "*.1" -delete

%mingw_find_lang %{name} --all-name

%files -n mingw32-json-glib -f mingw32-%{name}.lang
%doc COPYING NEWS
%{mingw32_bindir}/json-glib-format.exe
%{mingw32_bindir}/json-glib-validate.exe
%{mingw32_bindir}/libjson-glib-1.0-0.dll
%{mingw32_includedir}/json-glib-1.0
%{mingw32_libdir}/libjson-glib-1.0.dll.a
%{mingw32_libdir}/pkgconfig/json-glib-1.0.pc

%files -n mingw64-json-glib -f mingw64-%{name}.lang
%doc COPYING NEWS
%{mingw64_bindir}/json-glib-format.exe
%{mingw64_bindir}/json-glib-validate.exe
%{mingw64_bindir}/libjson-glib-1.0-0.dll
%{mingw64_includedir}/json-glib-1.0
%{mingw64_libdir}/libjson-glib-1.0.dll.a
%{mingw64_libdir}/pkgconfig/json-glib-1.0.pc


%changelog
* Mon Jul 28 2014 Marc-André Lureau <marcandre.lureau@gmail.com> - 1.0.2-1
- Initial mingw-fedora packaging.
